Page MenuHomeFreeBSD

Switch rubygem dependencies from rails4 to rails50 for deps required by gitlab-ce 11.7 upgrade
ClosedPublic

Authored by mfechner on Jan 25 2019, 5:23 PM.

Details

Summary

In preparation for gitlab 11.7.0 upgrade which I finished and already tested successfully I switched all ports gitlab-ce requires from rails4 to rails50.

As I touch here ports you are the maintainer, could you please have a look over it.
I want to make sure to not break by accident a port I have not on my monitor.

If you agree on this review, I will later commit it together with gitlab 11.7 upgrade.
You can find all modification that are required here:
https://gitlab.fechner.net/mfechner/Gitlab/commits/11.7

Test Plan

I have testbuild gitlab-ce and redmine.
I have done instensive tests for gitlab 11.7.

So far I could not found a problem.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mfechner retitled this revision from Switch rubygem dependencies from rails4 to rails50 to Switch rubygem dependencies from rails4 to rails50 for deps required by gitlab-ce 11.7 upgrade.Jan 25 2019, 5:25 PM
www/rubygem-json-jwt/Makefile
15 ↗(On Diff #53202)

security/rubygem-rack-oauth2 depends on www/rubygem-json-jwt.

Please also update security/rubygem-rack-oauth2 to avoid mixed rails 4.2 and 5.0 dependencies after this change.

Updated the diff to also include security/rubygem-rack-oauth2

This revision is now accepted and ready to land.Jan 30 2019, 11:13 AM
This revision was automatically updated to reflect the committed changes.